-- Pinta informacion del personaje, combos, ...

tiempoCadenaCombo = tiempoCadenaCombo + FRAMETIME

-- en que lado pinta la cadena
if Accion(GET_N_PLAYER) == 1 then
   posicion=1; 
else 
   posicion=-1;   
end


if Accion(HAY_OTRO) and Accion(OTRO_ANI_SEL,"ANI_COMBO6_OUCH") then
   Accion(PINTA_CADENA_CENTRADA, 0.5 + (-0.25 * posicion ) ,0.18 , 1.0 , 1 , 1 , 1 , ( 1.0 * math.sin(4.0 * tiempoCadenaCombo)),"ALGUN POLLALITI??")
   Accion(PINTA_CADENA_COMBO, 0.0 , 0.22 , posicion * 1.0 ,1 ,1 ,1 , (1.0 * math.sin(4.0 * tiempoCadenaCombo)) ,"Ab+Iz+De+P1")

   Accion(PINTA_CADENA_CENTRADA, 0.5 + (-0.25 * posicion ) ,0.18 , 1.0 , 1 , 1 , 1 , ( -1.0 * math.sin(4.0 * tiempoCadenaCombo)),"ALGUNA POLLADA??")
   Accion(PINTA_CADENA_COMBO, 0.0 , 0.22 , posicion * 1.0 ,1 ,1 ,1 , (-1.0 * math.sin(4.0 * tiempoCadenaCombo)) ,"Ab+AbIz+Iz+P1")

elseif Accion(GET_ENERGIA) > ENERGIA_COMBO1 then
   Accion(PINTA_CADENA_COMBO, 0.0 , 0.18 , posicion * 1.0 ,1 ,1 ,1 , 0.8 +(0.2 * math.sin(10 * tiempoCadenaCombo)) ,"Ab+AbDe+De+P1")

elseif Accion(HAY_OTRO) then
   Accion(PINTA_CADENA_COMBO, 0.0 , 0.18 , posicion * 1.0 ,1 ,1 ,1 , 0.8 +(0.2 * math.sin(10 * tiempoCadenaCombo)) ,"De+De+P1")
end

if Accion(ANI_SEL,"ANI_COMBO6") then
   Accion(PINTA_CADENA_CENTRADA, 0.5 ,0.3 , 3 , 1 , 1 , 1 , 1,"POLLALITI")
   Accion(PINTA_CADENA_CENTRADA, 0.5 - ( 0.02 *  math.random() ), 0.3 - ( 0.02 *  math.random() ), 3 , 1 , 1 , 1 , 0.6,"POLLALITI")
   Accion(PINTA_CADENA_CENTRADA, 0.5 - ( 0.02 *  math.random() ), 0.3 - ( 0.02 *  math.random() ), 3 , 1 , 1 , 1 , 0.3,"POLLALITI")
end

if Accion(ANI_SEL,"ANI_COMBO5") then
   Accion(PINTA_CADENA_CENTRADA, 0.5 ,0.3 , 3 , 1 , 1 , 1 , 1,"POLLADA XD")
   Accion(PINTA_CADENA_CENTRADA, 0.5 - ( 0.02 *  math.random() ), 0.3 - ( 0.02 *  math.random() ), 3 , 1 , 1 , 1 , 0.6,"POLLADA XD")
   Accion(PINTA_CADENA_CENTRADA, 0.5 - ( 0.02 *  math.random() ), 0.3 - ( 0.02 *  math.random() ), 3 , 1 , 1 , 1 , 0.3,"POLLADA XD")
end

